﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace thinkgeoPNG
{
    public partial class Form1 : Form
    {
        private const string imagepath = @"C:\temp\tg";
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DirectoryInfo di = new DirectoryInfo(imagepath);
            foreach (FileInfo fileInfo in di.GetFiles("*.png"))
            {
                if (!fileInfo.Name.StartsWith("out_"))
                {
                    ReducePNG(fileInfo.Name);
                }
            }

            MessageBox.Show(@"DONE");
        }

       
        private void ReducePNG(String oriFilename)
        {
            Bitmap bitmap = new Bitmap(String.Format("{0}\\{1}", imagepath, oriFilename));

            using (Graphics graphics = Graphics.FromImage(bitmap))
            {
                graphics.CompositingQuality = CompositingQuality.HighSpeed;
                graphics.InterpolationMode = InterpolationMode.Bilinear;
                graphics.CompositingMode = CompositingMode.SourceCopy;

                using (MemoryStream memoryStream = new MemoryStream())
                {
                    bitmap.Save(String.Format("{0}\\out_{1}", imagepath, oriFilename), ImageFormat.Png);
                }
            }
        }
    }
}
